Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.cs.img.owl.util
Class Fixer

    java.lang.Object
      |
      +--uk.ac.man.cs.img.owl.util.Fixer

All Implemented Interfaces:
  OWLValidationConstants

public class Fixer
extends Object
implements OWLValidationConstants

A tool that attempts to "fix" OWL Full ontologies. If untyped resource are present, will attempt to add the triples required.

        java uk.ac.man.cs.img.owl.util.Fixer [options] input [output]

where the options are:

        --output -o output file
        --help -? Print help message

The `input` should be a URL. If output is requested (`` flags), then output will be written to `output` if present, stdout by default.

    $Id: Fixer.java,v 1.5 2004/01/08 10:13:56 sean_bechhofer Exp $

Field Summary

Fields inherited from interface org.semanticweb.owl.validation.OWLValidationConstants
`BUILTINREDEFINITION, CARDINALITY, COMPLEMENT, COMPLETE, COMPLEXTRANSITIVE, DATARANGE, DATATYPE, DIFFERENTINDIVIDUAL, DISJOINT, DL, EQUIVALENCE, EQUIVALENTPROPERTY, EXPRESSIONINAXIOM, EXPRESSIONINRESTRICTION, FULL, FUNCTIONAL, INDIVIDUALDATA, INDIVIDUALS, INTERSECTION, INVERSE, INVERSEFUNCTIONAL, LITE, ONEOF, OWLNAMESPACEUSED, PARTIAL, RELATEDINDIVIDUALS, SAMEINDIVIDUAL, SEPARATIONVIOLATION, SUBCLASS, SUBPROPERTY, SYMMETRIC, TRANSITIVE, UNION, UNKNOWN, UNTYPEDINDIVIDUAL, ZEROONECARDINALITY`

Constructor Summary
`Fixer()`

Method Summary
`boolean` | `fixed()`
`Set` | `getFixes()`
`static void` | `main(String[] args)`
`void` | `parse()`
`void` | `setURI(URI uri)` Set the URI to validate
`static void` | `usage()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Fixer

    public Fixer()

Method Detail

### setURI

    public void setURI(URI uri)

  Set the URI to validate

### parse

    public void parse()
               throws OWLException

    `OWLException`

### fixed

    public boolean fixed()

### getFixes

    public Set getFixes()

### main

    public static void main(String[] args)

### usage

    public static void usage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb